Bug 41121 - Adjust package ucs-school-umc-csv-import
Adjust package ucs-school-umc-csv-import
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-25 17:24 CEST by Florian Best
Modified: 2016-06-28 18:24 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-04-25 17:24:57 CEST
The package ucs-school-umc-csv-import has to be adjusted to work with the new attributes/object classes.
Comment 1 Florian Best univentionstaff 2016-05-20 11:19:13 CEST
The schools aren't touched but it is prevented to change the school of the user by accident.

ucs-school-umc-csv-import (3.0.1-1):
r69422 | Bug #41121: set schools attribute of user
r69419 | Bug #41121: set schools attribute of user
Comment 2 Florian Best univentionstaff 2016-06-03 17:00:54 CEST
Subclassing has been enhanced:
r69672 | Bug #41121: detect python model class without additional checks
Comment 3 Florian Best univentionstaff 2016-06-07 16:06:50 CEST
The package as well as the tests needs to be adjusted for the changes in Bug #41132 / Bug #41408 / Bug #41293.
Comment 4 Florian Best univentionstaff 2016-06-09 14:51:52 CEST
API change respected in:

ucs-school-umc-csv-import (3.0.3-1):
r69984 | Bug #41121: respect school_classes API change

ucs-test-ucsschool (3.0.7-4):
r70034 | Bug #41121: fixup typo
r69983 | Bug #41121: adjust CSV-Import test for school_classes API change
Comment 5 Daniel Tröder univentionstaff 2016-06-22 11:57:29 CEST
OK: code was adapted to changes on school_classes, roles→types, schools is ignored, as it is handled in User
OK: Jenkins test 90_ucsschool/73_CSV_import_module is stable green
Comment 6 Florian Best univentionstaff 2016-06-28 18:24:56 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".